---
lang: en
title: 'API docs: rest.findrouteprovider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.findrouteprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [FindRouteProvider](./rest.findrouteprovider.md)

## FindRouteProvider class

<b>Signature:</b>

```typescript
export declare class FindRouteProvider implements Provider<FindRoute> 
```
<b>Implements:</b> [Provider](./context.provider.md)<!-- -->&lt;[FindRoute](./rest.findroute.md)<!-- -->&gt;

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(context, handler)](./rest.findrouteprovider._constructor_.md) |  | Constructs a new instance of the <code>FindRouteProvider</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [context](./rest.findrouteprovider.context.md) |  | [Context](./context.context.md) |  |
|  [handler](./rest.findrouteprovider.handler.md) |  | [HttpHandler](./rest.httphandler.md) |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [action(request)](./rest.findrouteprovider.action.md) |  |  |
|  [value()](./rest.findrouteprovider.value.md) |  |  |


